Skip to content
WP Engine Documentation

List report templates

GET
/site_reports/templates
curl --request GET \
--url 'https://api.wpengineapi.com/v1/site_reports/templates?account_id=example' \
--header 'Authorization: Basic <credentials>'

Description

Returns a list of report templates available for Site Reports.

Templates define the structure, branding, and sections included in generated reports.

account_id
required
string format: uuid

Account ID to filter templates. This parameter is required.

List of report templates

Media type application/json
object
templates
Array<object>

Report template defining structure and branding for generated reports

object
template_uuid
required

Unique identifier for the template

string format: uuid
template_name
required

Display name of the template

string
<= 100 characters
company_name

Company name displayed on the report

string
brand_color

Hex value of the color used on the report coversheet

string
logo_url

URL to the company logo

string format: uri
preview_image_url

URL to template preview image

string format: uri
sections

List of sections included in this template

Array<object>
object
name
string
Example
{
"templates": [
{
"template_uuid": "9fe01285-87cc-405b-9f2f-02cc1316bb63",
"template_name": "Site Report",
"company_name": "WP Engine",
"brand_color": "#FF0000",
"logo_url": "https://storage.googleapis.com/crs-assets/logos/wpengine-logo.png",
"preview_image_url": "https://storage.googleapis.com/crs-assets/previews/site-report-preview.png",
"sections": [
{
"name": "cover"
},
{
"name": "overview"
},
{
"name": "usage"
},
{
"name": "themes"
}
]
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json